Skip to main content
Back to API List Use this API to add a skill with the given stream ID and skill group ID.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
BotIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required
skillGroupIdID of the skill group.string, required

Sample Request

curl --location --request POST \
     'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '
    {
    "name": "test",
    "description": "test",
    "agents": [
        {
            "userId": "u-ca2cc57f-5c2b-5437-bb07-fe9020d8xxxx",
            "proficiencyLevel": "average",
            "aId":""
        }
     ]
    }'

Body Parameters

ParameterDescriptionType
nameName of the skill.string, required
descriptionBrief description of the skill, up to 200 characters.string, optional
skillGroupIdID of the skill group. Find this with GET /skill-groups. For example, sg-4372.string, required
agentsAn array of agent objects with the following details.array, optional
userIdUser ID. Find this with GET /agents.string, optional
proficiencyLevelProficiency level. Values: expert, novice, average, good.string, optional

Sample Response

{
    "id": "sk-87679",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": 15,
    "skillGroupId": "sg-4372"
}